﻿//------------------------------------------------------------------------------
/// @file
/// @author   ハル研究所プログラミングコンテスト実行委員会
///
/// @copyright  (C)HAL Laboratory, Inc.
/// @attention  このファイルの利用は、同梱のREADMEにある
///             利用条件に従ってください。
//------------------------------------------------------------------------------

#pragma once
#include "Scroll.hpp"

//------------------------------------------------------------------------------
namespace hpc {

//------------------------------------------------------------------------------
Scroll::Scroll()
: mPosition()
, mIsGotten(false)
{
}

//------------------------------------------------------------------------------
Scroll::Scroll(const Vector2& aPos)
: mPosition(aPos)
, mIsGotten(false)
{
}

//------------------------------------------------------------------------------
const Vector2& Scroll::pos() const
{
    return mPosition;
}

//------------------------------------------------------------------------------
bool Scroll::isGotten() const
{
    return mIsGotten;
}

//------------------------------------------------------------------------------
void Scroll::setIsGotten(bool aIsGotten)
{
    mIsGotten = aIsGotten;
}

} // namespace
// EOF
